Debian Bug report logs - #122179
binutils: ld errors on Linux-2.4.16 compile with undefined reference to `local symbols in discarded section .text.exit'

version graph

Package: kernel-source-2.4.16; Maintainer for kernel-source-2.4.16 is (unknown);

Reported by: "Daniel T. Chen" <crimsun@email.unc.edu>

Date: Mon, 3 Dec 2001 05:03:01 UTC

Severity: normal

Merged with 122168, 122434, 122693, 123435

Found in version 2.4.16-1

Fixed in version kernel-source-2.4.17/2.4.17-1

Done: Herbert Xu <herbert@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, chris@debian.org (Christopher C. Chimelis):
Bug#122179; Package binutils. Full text and rfc822 format available.

Acknowledgement sent to "Daniel T. Chen" <crimsun@email.unc.edu>:
New Bug report received and forwarded. Copy sent to chris@debian.org (Christopher C. Chimelis). Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Daniel T. Chen" <crimsun@email.unc.edu>
To: submit@bugs.debian.org
Subject: binutils: ld errors on Linux-2.4.16 compile with undefined reference to `local symbols in discarded section .text.exit'
Date: Sun, 2 Dec 2001 23:51:49 -0500 (EST)
Package: binutils
Version: 2.11.92.0.12.3-1
Severity: serious

In attempting to revert to kernel 2.4.16 (vanilla), ld errors out with an
"undefined reference to `local symbols in discarded section
.text.exit'". I've also received this error while attempting to compile
2.4.17-pre2 (both vanilla and with additional patches). I was using
gcc-2.95.4 (2:2.95.4-8) with kernel-package (7.75) in sid.

Here's the relevant end portion of the kernel compile:

--cut--
ar  rcs lib.a checksum.o old-checksum.o delay.o usercopy.o getuser.o
memcpy.o strstr.o mmx.o
make[3]: Leaving directory `/usr/src/linux/arch/i386/lib'
make[2]: Leaving directory `/usr/src/linux/arch/i386/lib'
ld -m elf_i386 -T /usr/src/linux/arch/i386/vmlinux.lds -e stext
arch/i386/kernel/head.o arch/i386/kernel/init_task.o init/main.o
init/version.o \
        --start-group \
        arch/i386/kernel/kernel.o arch/i386/mm/mm.o kernel/kernel.o
mm/mm.o fs/fs.o ipc/ipc.o \
         drivers/char/char.o drivers/block/block.o drivers/misc/misc.o
drivers/net/net.o drivers/media/media.o drivers/ide/idedriver.o
drivers/cdrom/driver.o drivers/pci/driver.o drivers/video/video.o
drivers/usb/usbdrv.o drivers/input/inputdrv.o \
        net/network.o \
        /usr/src/linux/arch/i386/lib/lib.a /usr/src/linux/lib/lib.a
/usr/src/linux/arch/i386/lib/lib.a \
        --end-group \
        -o vmlinux
drivers/usb/usbdrv.o(.data+0x5d4): undefined reference to `local symbols
in discarded section .text.exit'
make[1]: *** [vmlinux] Error 1
make[1]: Leaving directory `/usr/src/linux'
make: *** [stamp-build] Error 2
--cut--

(This is with USB support compiled statically into the kernel. I have not
tried compiling it modularly.)

-Dan Chen (crimsun@email.unc.edu)

-- System Information
Debian Release: 3.0
Architecture: i386
Kernel:Linux opeth.ath.cx 2.4.17-pre2 #5 Fri Nov 30 20:07:22 EST 2001 i686
Locale: LANG=C, LC_CTYPE=C

Versions of packages binutils depends on:
ii  libc6                    2.2.4-6    GNU C Library: Shared libraries an 




Information forwarded to debian-bugs-dist@lists.debian.org, chris@debian.org (Christopher C. Chimelis):
Bug#122179; Package binutils. Full text and rfc822 format available.

Acknowledgement sent to Santiago Garcia Mantinan <manty@debian.org>:
Extra info received and forwarded to list. Copy sent to chris@debian.org (Christopher C. Chimelis). Full text and rfc822 format available.

Message #10 received at 122179@bugs.debian.org (full text, mbox):

From: Santiago Garcia Mantinan <manty@debian.org>
To: "Daniel T. Chen" <crimsun@email.unc.edu>
Cc: 122179@bugs.debian.org
Subject: Version in testing works (was: binutils: ld errors on Linux-2.4.16...)
Date: Mon, 3 Dec 2001 19:53:22 +0100
Hi!

I have also experienced this problem after last binutils upgrade, however, if
you downgrade to the version that is on testing, it will work ok.

Regards...
-- 
Manty/BestiaTester -> http://manty.net



Information forwarded to debian-bugs-dist@lists.debian.org, chris@debian.org (Christopher C. Chimelis):
Bug#122179; Package binutils. Full text and rfc822 format available.

Acknowledgement sent to "Daniel T. Chen" <crimsun@email.unc.edu>:
Extra info received and forwarded to list. Copy sent to chris@debian.org (Christopher C. Chimelis). Full text and rfc822 format available.

Message #15 received at 122179@bugs.debian.org (full text, mbox):

From: "Daniel T. Chen" <crimsun@email.unc.edu>
To: Santiago Garcia Mantinan <manty@debian.org>
Cc: 122179@bugs.debian.org
Subject: Re: Version in testing works (was: binutils: ld errors on Linux-2.4.16...)
Date: Mon, 3 Dec 2001 15:54:39 -0500 (EST)
Confirmed. I did this last night, in fact, shortly after filing the
report. Thanks.

---
Dan Chen                 crimsun@email.unc.edu
GPG key: www.cs.unc.edu/~chenda/pubkey.gpg.asc

On Mon, 3 Dec 2001, Santiago Garcia Mantinan wrote:

> Hi!
> 
> I have also experienced this problem after last binutils upgrade, however, if
> you downgrade to the version that is on testing, it will work ok.
> 
> Regards...




Information forwarded to debian-bugs-dist@lists.debian.org, chris@debian.org (Christopher C. Chimelis):
Bug#122179; Package binutils. Full text and rfc822 format available.

Acknowledgement sent to "Christopher C. Chimelis" <chris@debian.org>:
Extra info received and forwarded to list. Copy sent to chris@debian.org (Christopher C. Chimelis). Full text and rfc822 format available.

Message #20 received at 122179@bugs.debian.org (full text, mbox):

From: "Christopher C. Chimelis" <chris@debian.org>
To: "Daniel T. Chen" <crimsun@email.unc.edu>, 122179@bugs.debian.org
Cc: Santiago Garcia Mantinan <manty@debian.org>, debian-bugs-dist@lists.debian.org
Subject: Re: Bug#122179: Version in testing works (was: binutils: ld errors on Linux-2.4.16...)
Date: Mon, 3 Dec 2001 17:05:35 -0500 (EST)
On Mon, 3 Dec 2001, Daniel T. Chen wrote:

> 
> Confirmed. I did this last night, in fact, shortly after filing the
> report. Thanks.

I'm looking into this tonight (fingers crossed).  Does this happen with
older kernels as well or just >= 2.4.16?

C




Information forwarded to debian-bugs-dist@lists.debian.org, chris@debian.org (Christopher C. Chimelis):
Bug#122179; Package binutils. Full text and rfc822 format available.

Acknowledgement sent to Santiago Garcia Mantinan <manty@debian.org>:
Extra info received and forwarded to list. Copy sent to chris@debian.org (Christopher C. Chimelis). Full text and rfc822 format available.

Message #25 received at 122179@bugs.debian.org (full text, mbox):

From: Santiago Garcia Mantinan <manty@debian.org>
To: "Christopher C. Chimelis" <chris@debian.org>
Cc: 122179@bugs.debian.org
Subject: Re: Bug#122179: Version in testing works (was: binutils: ld errors on Linux-2.4.16...)
Date: Tue, 4 Dec 2001 00:12:57 +0100
> I'm looking into this tonight (fingers crossed).  Does this happen with
> older kernels as well or just >= 2.4.16?

I have tried 2.2.20 and 2.4.5, 2.2 compiled ok, 2.4.5 failed, so I suppose
it is happening with all 2.4.

Regards..
-- 
Manty/BestiaTester -> http://manty.net



Information forwarded to debian-bugs-dist@lists.debian.org, chris@debian.org (Christopher C. Chimelis):
Bug#122179; Package binutils. Full text and rfc822 format available.

Acknowledgement sent to "Christopher C. Chimelis" <chris@debian.org>:
Extra info received and forwarded to list. Copy sent to chris@debian.org (Christopher C. Chimelis). Full text and rfc822 format available.

Message #30 received at 122179@bugs.debian.org (full text, mbox):

From: "Christopher C. Chimelis" <chris@debian.org>
To: "Christopher C. Chimelis" <chris@debian.org>, 122179@bugs.debian.org
Cc: "Daniel T. Chen" <crimsun@email.unc.edu>, Santiago Garcia Mantinan <manty@debian.org>, debian-bugs-dist@lists.debian.org
Subject: Re: Bug#122179: Version in testing works (was: binutils: ld errors on Linux-2.4.16...)
Date: Mon, 3 Dec 2001 18:13:21 -0500 (EST)
I'm unable to reproduce this at all with vanilla 2.4.16 and my
current config.  Can someone who can reproduce it send me a .config?

C

On Mon, 3 Dec 2001, Christopher C. Chimelis wrote:

> 
> 
> On Mon, 3 Dec 2001, Daniel T. Chen wrote:
> 
> > 
> > Confirmed. I did this last night, in fact, shortly after filing the
> > report. Thanks.
> 
> I'm looking into this tonight (fingers crossed).  Does this happen with
> older kernels as well or just >= 2.4.16?
> 
> C
> 
> 
> 
> 




Information forwarded to debian-bugs-dist@lists.debian.org, chris@debian.org (Christopher C. Chimelis):
Bug#122179; Package binutils. Full text and rfc822 format available.

Acknowledgement sent to Santiago Garcia Mantinan <manty@debian.org>:
Extra info received and forwarded to list. Copy sent to chris@debian.org (Christopher C. Chimelis). Full text and rfc822 format available.

Message #35 received at 122179@bugs.debian.org (full text, mbox):

From: Santiago Garcia Mantinan <manty@debian.org>
To: "Christopher C. Chimelis" <chris@debian.org>
Cc: 122179@bugs.debian.org
Subject: Re: Bug#122179: Version in testing works (was: binutils: ld errors on Linux-2.4.16...)
Date: Tue, 4 Dec 2001 00:19:13 +0100
[Message part 1 (text/plain, inline)]
> I'm unable to reproduce this at all with vanilla 2.4.16 and my
> current config.  Can someone who can reproduce it send me a .config?

There it goes.

Regards...
-- 
Manty/BestiaTester -> http://manty.net
[config.bz2 (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, chris@debian.org (Christopher C. Chimelis):
Bug#122179; Package binutils. Full text and rfc822 format available.

Acknowledgement sent to "Christopher C. Chimelis" <chris@debian.org>:
Extra info received and forwarded to list. Copy sent to chris@debian.org (Christopher C. Chimelis). Full text and rfc822 format available.

Message #40 received at 122179@bugs.debian.org (full text, mbox):

From: "Christopher C. Chimelis" <chris@debian.org>
To: Santiago Garcia Mantinan <manty@debian.org>
Cc: 122179@bugs.debian.org
Subject: Re: Bug#122179: Version in testing works (was: binutils: ld errors on Linux-2.4.16...)
Date: Mon, 3 Dec 2001 18:31:45 -0500 (EST)
Thanks...configuring and compiling now...

C

On Tue, 4 Dec 2001, Santiago Garcia Mantinan wrote:

> > I'm unable to reproduce this at all with vanilla 2.4.16 and my
> > current config.  Can someone who can reproduce it send me a .config?
> 
> There it goes.
> 
> Regards...
> -- 
> Manty/BestiaTester -> http://manty.net
> 




Information forwarded to debian-bugs-dist@lists.debian.org, chris@debian.org (Christopher C. Chimelis):
Bug#122179; Package binutils. Full text and rfc822 format available.

Acknowledgement sent to "Christopher C. Chimelis" <chris@debian.org>:
Extra info received and forwarded to list. Copy sent to chris@debian.org (Christopher C. Chimelis). Full text and rfc822 format available.

Message #45 received at 122179@bugs.debian.org (full text, mbox):

From: "Christopher C. Chimelis" <chris@debian.org>
To: Santiago Garcia Mantinan <manty@debian.org>
Cc: 122179@bugs.debian.org
Subject: Re: Bug#122179: Version in testing works (was: binutils: ld errors on Linux-2.4.16...)
Date: Mon, 3 Dec 2001 18:37:22 -0500 (EST)
This config doesn't even get to the linking of the kernel with 2.4.16
vanilla.  I get a multiple definition of acpi_ex_do_concatenate in the
drivers/apci/executer dir during linking of executor.o.  Is this what
you're seeing?

ld -m elf_i386  -r -o executer.o exconfig.o exconvrt.o excreate.o exdump.o
exdyadic.o exfield.o exfldio.o exmisc.o exmonad.o exmutex.o exnames.o
exoparg1.o exoparg2.o exoparg3.o exoparg6.o exprep.o exregion.o exresnte.o
exresolv.o exresop.o exstore.o exstoren.o exstorob.o exsystem.o exutils.o
exxface.o
exmisc.o: In function `acpi_ex_do_concatenate':
exmisc.o(.text+0x68): multiple definition of `acpi_ex_do_concatenate'
exdyadic.o(.text+0x0): first defined here
ld: Warning: size of symbol `acpi_ex_do_concatenate' changed from 654 to
646 in exmisc.o
make[4]: *** [executer.o] Error 1

C



On Tue, 4 Dec 2001, Santiago Garcia Mantinan wrote:

> > I'm unable to reproduce this at all with vanilla 2.4.16 and my
> > current config.  Can someone who can reproduce it send me a .config?
> 
> There it goes.
> 
> Regards...
> -- 
> Manty/BestiaTester -> http://manty.net
> 




Information forwarded to debian-bugs-dist@lists.debian.org, chris@debian.org (Christopher C. Chimelis):
Bug#122179; Package binutils. Full text and rfc822 format available.

Acknowledgement sent to Santiago Garcia Mantinan <manty@debian.org>:
Extra info received and forwarded to list. Copy sent to chris@debian.org (Christopher C. Chimelis). Full text and rfc822 format available.

Message #50 received at 122179@bugs.debian.org (full text, mbox):

From: Santiago Garcia Mantinan <manty@debian.org>
To: "Christopher C. Chimelis" <chris@debian.org>
Cc: 122179@bugs.debian.org
Subject: Re: Bug#122179: Version in testing works (was: binutils: ld errors on Linux-2.4.16...)
Date: Tue, 4 Dec 2001 00:47:45 +0100
> drivers/apci/executer dir during linking of executor.o.  Is this what
> you're seeing?

Nope, that is not what I'm seing at all, here it gets to the end and fails
there when doing the final link, like it was reported in the bug.

I have just removed the acpi from that config and added apm instead and it
does also break. If you want to test this one to avoid the acpi problem...

Regards...
-- 
Manty/BestiaTester -> http://manty.net



Information forwarded to debian-bugs-dist@lists.debian.org, chris@debian.org (Christopher C. Chimelis):
Bug#122179; Package binutils. Full text and rfc822 format available.

Acknowledgement sent to "Christopher C. Chimelis" <chris@debian.org>:
Extra info received and forwarded to list. Copy sent to chris@debian.org (Christopher C. Chimelis). Full text and rfc822 format available.

Message #55 received at 122179@bugs.debian.org (full text, mbox):

From: "Christopher C. Chimelis" <chris@debian.org>
To: Santiago Garcia Mantinan <manty@debian.org>
Cc: 122179@bugs.debian.org
Subject: Re: Bug#122179: Version in testing works (was: binutils: ld errors on Linux-2.4.16...)
Date: Mon, 3 Dec 2001 18:50:19 -0500 (EST)
No attachment, but I'll do the same and try...

C

On Tue, 4 Dec 2001, Santiago Garcia Mantinan wrote:

> 
> > drivers/apci/executer dir during linking of executor.o.  Is this what
> > you're seeing?
> 
> Nope, that is not what I'm seing at all, here it gets to the end and fails
> there when doing the final link, like it was reported in the bug.
> 
> I have just removed the acpi from that config and added apm instead and it
> does also break. If you want to test this one to avoid the acpi problem...
> 
> Regards...
> -- 
> Manty/BestiaTester -> http://manty.net
> 
> 




Information forwarded to debian-bugs-dist@lists.debian.org, chris@debian.org (Christopher C. Chimelis):
Bug#122179; Package binutils. Full text and rfc822 format available.

Acknowledgement sent to "Christopher C. Chimelis" <chris@debian.org>:
Extra info received and forwarded to list. Copy sent to chris@debian.org (Christopher C. Chimelis). Full text and rfc822 format available.

Message #60 received at 122179@bugs.debian.org (full text, mbox):

From: "Christopher C. Chimelis" <chris@debian.org>
To: Santiago Garcia Mantinan <manty@debian.org>
Cc: 122179@bugs.debian.org
Subject: Re: Bug#122179: Version in testing works (was: binutils: ld errors on Linux-2.4.16...)
Date: Mon, 3 Dec 2001 20:03:25 -0500 (EST)
Now I see it.  Ok, off to see what can be done...

C

On Tue, 4 Dec 2001, Santiago Garcia Mantinan wrote:

> 
> > drivers/apci/executer dir during linking of executor.o.  Is this what
> > you're seeing?
> 
> Nope, that is not what I'm seing at all, here it gets to the end and fails
> there when doing the final link, like it was reported in the bug.
> 
> I have just removed the acpi from that config and added apm instead and it
> does also break. If you want to test this one to avoid the acpi problem...
> 
> Regards...
> -- 
> Manty/BestiaTester -> http://manty.net
> 
> 




Information forwarded to debian-bugs-dist@lists.debian.org, chris@debian.org (Christopher C. Chimelis):
Bug#122179; Package binutils. Full text and rfc822 format available.

Acknowledgement sent to "Daniel T. Chen" <crimsun@email.unc.edu>:
Extra info received and forwarded to list. Copy sent to chris@debian.org (Christopher C. Chimelis). Full text and rfc822 format available.

Message #65 received at 122179@bugs.debian.org (full text, mbox):

From: "Daniel T. Chen" <crimsun@email.unc.edu>
To: "Christopher C. Chimelis" <chris@debian.org>
Cc: 122179@bugs.debian.org, Santiago Garcia Mantinan <manty@debian.org>
Subject: Re: Bug#122179: Version in testing works (was: binutils: ld errors on Linux-2.4.16...)
Date: Mon, 3 Dec 2001 22:48:02 -0500 (EST)
[Message part 1 (text/plain, inline)]
[CC to debian-bugs-dist removed because of attachments]

ld in latest binutils (2.11.92.0.12.3-1) also bugs out with a 2.4.9 
(vanilla) compile. .config is attached below. I'm also appending the
2.4.17-pre2 + lots of bugfixes .config. (Note that I didn't correct
Marcelo's omission of correcting the SUBLEVEL and EXTRAVERSION params.)

Here're the end errors for the vanilla 2.4.9 compile (again, using
gcc-2.95 in sid):

--cut--
ar  rcs lib.a checksum.o old-checksum.o delay.o usercopy.o getuser.o
memcpy.o strstr.o mmx.o
make[3]: Leaving directory `/build-foo/linux/arch/i386/lib'
make[2]: Leaving directory `/build-foo/linux/arch/i386/lib'
ld -m elf_i386 -T /build-foo/linux/arch/i386/vmlinux.lds -e stext
arch/i386/kernel/head.o arch/i386/kernel/init_task.o init/main.o
init/version.o \
        --start-group \
        arch/i386/kernel/kernel.o arch/i386/mm/mm.o kernel/kernel.o
mm/mm.o fs/fs.o ipc/ipc.o \
         drivers/char/char.o drivers/block/block.o drivers/misc/misc.o
drivers/net/net.o drivers/media/media.o drivers/ide/idedriver.o
drivers/cdrom/driver.o drivers/pci/driver.o drivers/video/video.o
drivers/usb/usbdrv.o drivers/input/inputdrv.o \
        net/network.o \
        /build-foo/linux/arch/i386/lib/lib.a /build-foo/linux/lib/lib.a
/build-foo/linux/arch/i386/lib/lib.a \
        --end-group \
        -o vmlinux
drivers/usb/usbdrv.o(.data+0x5d4): undefined reference to `local symbols
in discarded section .text.exit'
make[1]: *** [vmlinux] Error 1
make[1]: Leaving directory `/build-foo/linux'
make: *** [stamp-build] Error 2
--cut--


One other person using Debian sid has reported similar errors compiling
2.4.16 to lkml. The author is eddantes@wanadoo.fr, subject "Bug report
2.4.16: local symbols in discarded section .text.exit", date Sun, 02 Dec
2001 22:40:05 +0100. (I believe lkml was down recently.)

---
Dan Chen                 crimsun@email.unc.edu
GPG key: www.cs.unc.edu/~chenda/pubkey.gpg.asc

On Mon, 3 Dec 2001, Christopher C. Chimelis wrote:

> I'm unable to reproduce this at all with vanilla 2.4.16 and my
> current config.  Can someone who can reproduce it send me a .config?
> 
> C
[config-2.4.9 (text/plain, attachment)]
[config-2.4.16 (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, chris@debian.org (Christopher C. Chimelis):
Bug#122179; Package binutils. Full text and rfc822 format available.

Acknowledgement sent to "Christopher C. Chimelis" <chris@debian.org>:
Extra info received and forwarded to list. Copy sent to chris@debian.org (Christopher C. Chimelis). Full text and rfc822 format available.

Message #70 received at 122179@bugs.debian.org (full text, mbox):

From: "Christopher C. Chimelis" <chris@debian.org>
To: "Daniel T. Chen" <crimsun@email.unc.edu>
Cc: 122179@bugs.debian.org, Santiago Garcia Mantinan <manty@debian.org>
Subject: Re: Bug#122179: Version in testing works (was: binutils: ld errors on Linux-2.4.16...)
Date: Mon, 3 Dec 2001 22:50:29 -0500 (EST)
On Mon, 3 Dec 2001, Daniel T. Chen wrote:

> ld in latest binutils (2.11.92.0.12.3-1) also bugs out with a 2.4.9 
> (vanilla) compile. .config is attached below. I'm also appending the
> 2.4.17-pre2 + lots of bugfixes .config. (Note that I didn't correct
> Marcelo's omission of correcting the SUBLEVEL and EXTRAVERSION params.)
> 
> Here're the end errors for the vanilla 2.4.9 compile (again, using
> gcc-2.95 in sid):

Ugh..this may be related to the SHF_MERGE changes that I was hoping not to
have to include.  I'm going back through the CVS patches now to see if
they fix this situation.

C

> One other person using Debian sid has reported similar errors compiling
> 2.4.16 to lkml. The author is eddantes@wanadoo.fr, subject "Bug report
> 2.4.16: local symbols in discarded section .text.exit", date Sun, 02 Dec
> 2001 22:40:05 +0100. (I believe lkml was down recently.)

It would've been nice if they talked to me first, but oh well...

C




Information forwarded to debian-bugs-dist@lists.debian.org, chris@debian.org (Christopher C. Chimelis):
Bug#122179; Package binutils. Full text and rfc822 format available.

Acknowledgement sent to "Christopher C. Chimelis" <chris@debian.org>:
Extra info received and forwarded to list. Copy sent to chris@debian.org (Christopher C. Chimelis). Full text and rfc822 format available.

Message #75 received at 122179@bugs.debian.org (full text, mbox):

From: "Christopher C. Chimelis" <chris@debian.org>
To: "Daniel T. Chen" <crimsun@email.unc.edu>
Cc: 122179@bugs.debian.org, Santiago Garcia Mantinan <manty@debian.org>
Subject: Re: Bug#122179: Version in testing works (was: binutils: ld errors on Linux-2.4.16...)
Date: Tue, 4 Dec 2001 00:10:44 -0500 (EST)
FYI, even CVS has this behaviour.  I think I know which patch did
this...I'm going to test reverting it tomorrow.

C

On Mon, 3 Dec 2001, Daniel T. Chen wrote:

> [CC to debian-bugs-dist removed because of attachments]
> 
> ld in latest binutils (2.11.92.0.12.3-1) also bugs out with a 2.4.9 
> (vanilla) compile. .config is attached below. I'm also appending the
> 2.4.17-pre2 + lots of bugfixes .config. (Note that I didn't correct
> Marcelo's omission of correcting the SUBLEVEL and EXTRAVERSION params.)
> 
> Here're the end errors for the vanilla 2.4.9 compile (again, using
> gcc-2.95 in sid):
> 
> --cut--
> ar  rcs lib.a checksum.o old-checksum.o delay.o usercopy.o getuser.o
> memcpy.o strstr.o mmx.o
> make[3]: Leaving directory `/build-foo/linux/arch/i386/lib'
> make[2]: Leaving directory `/build-foo/linux/arch/i386/lib'
> ld -m elf_i386 -T /build-foo/linux/arch/i386/vmlinux.lds -e stext
> arch/i386/kernel/head.o arch/i386/kernel/init_task.o init/main.o
> init/version.o \
>         --start-group \
>         arch/i386/kernel/kernel.o arch/i386/mm/mm.o kernel/kernel.o
> mm/mm.o fs/fs.o ipc/ipc.o \
>          drivers/char/char.o drivers/block/block.o drivers/misc/misc.o
> drivers/net/net.o drivers/media/media.o drivers/ide/idedriver.o
> drivers/cdrom/driver.o drivers/pci/driver.o drivers/video/video.o
> drivers/usb/usbdrv.o drivers/input/inputdrv.o \
>         net/network.o \
>         /build-foo/linux/arch/i386/lib/lib.a /build-foo/linux/lib/lib.a
> /build-foo/linux/arch/i386/lib/lib.a \
>         --end-group \
>         -o vmlinux
> drivers/usb/usbdrv.o(.data+0x5d4): undefined reference to `local symbols
> in discarded section .text.exit'
> make[1]: *** [vmlinux] Error 1
> make[1]: Leaving directory `/build-foo/linux'
> make: *** [stamp-build] Error 2
> --cut--
> 
> 
> One other person using Debian sid has reported similar errors compiling
> 2.4.16 to lkml. The author is eddantes@wanadoo.fr, subject "Bug report
> 2.4.16: local symbols in discarded section .text.exit", date Sun, 02 Dec
> 2001 22:40:05 +0100. (I believe lkml was down recently.)
> 
> ---
> Dan Chen                 crimsun@email.unc.edu
> GPG key: www.cs.unc.edu/~chenda/pubkey.gpg.asc
> 
> On Mon, 3 Dec 2001, Christopher C. Chimelis wrote:
> 
> > I'm unable to reproduce this at all with vanilla 2.4.16 and my
> > current config.  Can someone who can reproduce it send me a .config?
> > 
> > C
> 




Information forwarded to debian-bugs-dist@lists.debian.org, chris@debian.org (Christopher C. Chimelis):
Bug#122179; Package binutils. Full text and rfc822 format available.

Acknowledgement sent to Dale Amon <amon@vnl.com>:
Extra info received and forwarded to list. Copy sent to chris@debian.org (Christopher C. Chimelis). Full text and rfc822 format available.

Message #80 received at 122179@bugs.debian.org (full text, mbox):

From: Dale Amon <amon@vnl.com>
To: 122179@bugs.debian.org
Cc: hvr@hvrlab.org
Subject: Same problem here
Date: Tue, 4 Dec 2001 19:12:05 +0000
I'm seeing it as well. In common with some others I've
got USB compiled in and I get the error there:

drivers/usb/usbdrv.o(.text.lock+0x62a): undefined reference to `local symbols in discarded section .text.exit'
drivers/usb/usbdrv.o(.text.lock+0x634): undefined reference to `local symbols in discarded section .text.exit'
net/network.o(.text.lock+0x272a): undefined reference to `local symbols in discarded section .text.exit'
make: *** [vmlinux] Error 1

Is the work around for now to just downgrade the
binutils package or is a new one in sid yet?

-- 
------------------------------------------------------
    Nuke bin Laden:           Dale Amon, CEO/MD
  improve the global          Islandone Society
     gene pool.               www.islandone.org
------------------------------------------------------



Information forwarded to debian-bugs-dist@lists.debian.org, chris@debian.org (Christopher C. Chimelis):
Bug#122179; Package binutils. Full text and rfc822 format available.

Acknowledgement sent to "Christopher C. Chimelis" <chris@debian.org>:
Extra info received and forwarded to list. Copy sent to chris@debian.org (Christopher C. Chimelis). Full text and rfc822 format available.

Message #85 received at 122179@bugs.debian.org (full text, mbox):

From: "Christopher C. Chimelis" <chris@debian.org>
To: Dale Amon <amon@vnl.com>, 122179@bugs.debian.org
Cc: hvr@hvrlab.org, debian-bugs-dist@lists.debian.org
Subject: Re: Bug#122179: Same problem here
Date: Tue, 4 Dec 2001 17:04:03 -0500 (EST)
On Tue, 4 Dec 2001, Dale Amon wrote:

> I'm seeing it as well. In common with some others I've
> got USB compiled in and I get the error there:
> 
> drivers/usb/usbdrv.o(.text.lock+0x62a): undefined reference to `local symbols in discarded section .text.exit'
> drivers/usb/usbdrv.o(.text.lock+0x634): undefined reference to `local symbols in discarded section .text.exit'
> net/network.o(.text.lock+0x272a): undefined reference to `local symbols in discarded section .text.exit'
> make: *** [vmlinux] Error 1
> 
> Is the work around for now to just downgrade the
> binutils package or is a new one in sid yet?

No workaround yet, other than downgrading.  This is reportedly a kernel
problem.  I'm still trying to find time to look into it more and will
hopefully be able to come up with a patch.

C




Information forwarded to debian-bugs-dist@lists.debian.org, chris@debian.org (Christopher C. Chimelis):
Bug#122179; Package binutils. Full text and rfc822 format available.

Acknowledgement sent to "Christopher C. Chimelis" <chris@debian.org>:
Extra info received and forwarded to list. Copy sent to chris@debian.org (Christopher C. Chimelis). Full text and rfc822 format available.

Message #90 received at 122179@bugs.debian.org (full text, mbox):

From: "Christopher C. Chimelis" <chris@debian.org>
To: "Daniel T. Chen" <crimsun@email.unc.edu>
Cc: 122179@bugs.debian.org, Santiago Garcia Mantinan <manty@debian.org>
Subject: Re: Bug#122179: Version in testing works (was: binutils: ld errors on Linux-2.4.16...)
Date: Tue, 4 Dec 2001 22:57:20 -0500 (EST)
Ok, try the serial.c part of the patch below.  It should fix the whole
thing.  If you find anything other than char.o causing problems, let me
know and I'll hunt it down with objdump and fix that too.  Either way,
though, I'm going to reassign these bugs to the kernel-source packages so
that the changes can be passed upstream.

--- linux/arch/alpha/vmlinux.lds.in.discard	Thu Nov 22 00:30:16 2001
+++ linux/arch/alpha/vmlinux.lds.in	Thu Nov 22 00:30:47 2001
@@ -92,5 +92,5 @@ SECTIONS
   .debug_typenames 0 : { *(.debug_typenames) }
   .debug_varnames  0 : { *(.debug_varnames) }
 
-  /DISCARD/ : { *(.text.exit) *(.data.exit) }
+  /DISCARD/ : { *(.text.exit) *(.data.exit) *(.exitcall.exit) }
 }
--- linux/drivers/char/serial.c.discard	Thu Nov 22 00:37:14 2001
+++ linux/drivers/char/serial.c	Thu Nov 22 10:54:54 2001
@@ -4887,7 +4887,9 @@ static char serial_pci_driver_name[] = "
 static struct pci_driver serial_pci_driver = {
        name:           serial_pci_driver_name,
        probe:          serial_init_one,
+#ifdef MODULE
        remove:	       serial_remove_one,
+#endif
        id_table:       serial_pci_tbl,
 };
 



On Mon, 3 Dec 2001, Daniel T. Chen wrote:

> [CC to debian-bugs-dist removed because of attachments]
> 
> ld in latest binutils (2.11.92.0.12.3-1) also bugs out with a 2.4.9 
> (vanilla) compile. .config is attached below. I'm also appending the
> 2.4.17-pre2 + lots of bugfixes .config. (Note that I didn't correct
> Marcelo's omission of correcting the SUBLEVEL and EXTRAVERSION params.)
> 
> Here're the end errors for the vanilla 2.4.9 compile (again, using
> gcc-2.95 in sid):
> 
> --cut--
> ar  rcs lib.a checksum.o old-checksum.o delay.o usercopy.o getuser.o
> memcpy.o strstr.o mmx.o
> make[3]: Leaving directory `/build-foo/linux/arch/i386/lib'
> make[2]: Leaving directory `/build-foo/linux/arch/i386/lib'
> ld -m elf_i386 -T /build-foo/linux/arch/i386/vmlinux.lds -e stext
> arch/i386/kernel/head.o arch/i386/kernel/init_task.o init/main.o
> init/version.o \
>         --start-group \
>         arch/i386/kernel/kernel.o arch/i386/mm/mm.o kernel/kernel.o
> mm/mm.o fs/fs.o ipc/ipc.o \
>          drivers/char/char.o drivers/block/block.o drivers/misc/misc.o
> drivers/net/net.o drivers/media/media.o drivers/ide/idedriver.o
> drivers/cdrom/driver.o drivers/pci/driver.o drivers/video/video.o
> drivers/usb/usbdrv.o drivers/input/inputdrv.o \
>         net/network.o \
>         /build-foo/linux/arch/i386/lib/lib.a /build-foo/linux/lib/lib.a
> /build-foo/linux/arch/i386/lib/lib.a \
>         --end-group \
>         -o vmlinux
> drivers/usb/usbdrv.o(.data+0x5d4): undefined reference to `local symbols
> in discarded section .text.exit'
> make[1]: *** [vmlinux] Error 1
> make[1]: Leaving directory `/build-foo/linux'
> make: *** [stamp-build] Error 2
> --cut--
> 
> 
> One other person using Debian sid has reported similar errors compiling
> 2.4.16 to lkml. The author is eddantes@wanadoo.fr, subject "Bug report
> 2.4.16: local symbols in discarded section .text.exit", date Sun, 02 Dec
> 2001 22:40:05 +0100. (I believe lkml was down recently.)
> 
> ---
> Dan Chen                 crimsun@email.unc.edu
> GPG key: www.cs.unc.edu/~chenda/pubkey.gpg.asc
> 
> On Mon, 3 Dec 2001, Christopher C. Chimelis wrote:
> 
> > I'm unable to reproduce this at all with vanilla 2.4.16 and my
> > current config.  Can someone who can reproduce it send me a .config?
> > 
> > C
> 




Bug reassigned from package `binutils' to `kernel-source-2.4.16'. Request was from "Christopher C. Chimelis" <chris@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Herbert Xu <herbert@debian.org>:
Bug#122179; Package kernel-source-2.4.16. Full text and rfc822 format available.

Acknowledgement sent to "Daniel T. Chen" <crimsun@email.unc.edu>:
Extra info received and forwarded to list. Copy sent to Herbert Xu <herbert@debian.org>. Full text and rfc822 format available.

Message #97 received at 122179@bugs.debian.org (full text, mbox):

From: "Daniel T. Chen" <crimsun@email.unc.edu>
To: "Christopher C. Chimelis" <chris@debian.org>
Cc: 122179@bugs.debian.org, Santiago Garcia Mantinan <manty@debian.org>
Subject: Re: Bug#122179: Version in testing works (was: binutils: ld errors on Linux-2.4.16...)
Date: Wed, 5 Dec 2001 00:18:08 -0500 (EST)
Nope, still bugs out:

--cut--
ar  rcs lib.a checksum.o old-checksum.o delay.o usercopy.o getuser.o
memcpy.o strstr.o mmx.o
make[3]: Leaving directory `/build-foo/linux/arch/i386/lib'
make[2]: Leaving directory `/build-foo/linux/arch/i386/lib'
ld -m elf_i386 -T /build-foo/linux/arch/i386/vmlinux.lds -e stext
arch/i386/kernel/head.o arch/i386/kernel/init_task.o init/main.o
init/version.o \
        --start-group \
        arch/i386/kernel/kernel.o arch/i386/mm/mm.o kernel/kernel.o
mm/mm.o fs/fs.o ipc/ipc.o \
         drivers/char/char.o drivers/block/block.o drivers/misc/misc.o
drivers/net/net.o drivers/media/media.o drivers/ide/idedriver.o
drivers/cdrom/driver.o drivers/pci/driver.o drivers/video/video.o
drivers/usb/usbdrv.o drivers/input/inputdrv.o \
        net/network.o \
        /build-foo/linux/arch/i386/lib/lib.a /build-foo/linux/lib/lib.a
/build-foo/linux/arch/i386/lib/lib.a \
        --end-group \
        -o vmlinux
drivers/usb/usbdrv.o(.data+0x614): undefined reference to `local symbols
in discarded section .text.exit'
make[1]: *** [vmlinux] Error 1
make[1]: Leaving directory `/build-foo/linux'
make: *** [stamp-build] Error 2
--cut--

You sent me a patch for drivers/char/serial.c, but I don't compile in 
support for (nor as a module) it. Have you looked at 
drivers/usb/serial/usbserial.c ? Thanks.

---
Dan Chen                 crimsun@email.unc.edu
GPG key: www.cs.unc.edu/~chenda/pubkey.gpg.asc

On Tue, 4 Dec 2001, Christopher C. Chimelis wrote:

> Ok, try the serial.c part of the patch below.  It should fix the whole
> thing.  If you find anything other than char.o causing problems, let me
> know and I'll hunt it down with objdump and fix that too.  Either way,
> though, I'm going to reassign these bugs to the kernel-source packages so
> that the changes can be passed upstream.




Information forwarded to debian-bugs-dist@lists.debian.org, Herbert Xu <herbert@debian.org>:
Bug#122179; Package kernel-source-2.4.16. Full text and rfc822 format available.

Acknowledgement sent to "Christopher C. Chimelis" <chris@debian.org>:
Extra info received and forwarded to list. Copy sent to Herbert Xu <herbert@debian.org>. Full text and rfc822 format available.

Message #102 received at 122179@bugs.debian.org (full text, mbox):

From: "Christopher C. Chimelis" <chris@debian.org>
To: "Daniel T. Chen" <crimsun@email.unc.edu>
Cc: 122179@bugs.debian.org, Santiago Garcia Mantinan <manty@debian.org>
Subject: Re: Bug#122179: Version in testing works (was: binutils: ld errors on Linux-2.4.16...)
Date: Wed, 5 Dec 2001 00:41:51 -0500 (EST)
On Wed, 5 Dec 2001, Daniel T. Chen wrote:

> Nope, still bugs out:

Can you send me that .config?  Or, if you're familiar with objdump at all,
you can probably figure out which symbol is causing the problem fairly
easily.

C




Severity set to `normal'. Request was from Herbert Xu <herbert@gondor.apana.org.au> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 122168 122179 122434. Request was from Herbert Xu <herbert@gondor.apana.org.au> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Herbert Xu <herbert@debian.org>:
Bug#122179; Package kernel-source-2.4.16. Full text and rfc822 format available.

Acknowledgement sent to "Daniel T. Chen" <crimsun@email.unc.edu>:
Extra info received and forwarded to list. Copy sent to Herbert Xu <herbert@debian.org>. Full text and rfc822 format available.

Message #111 received at 122179@bugs.debian.org (full text, mbox):

From: "Daniel T. Chen" <crimsun@email.unc.edu>
To: "Christopher C. Chimelis" <chris@debian.org>
Cc: 122179@bugs.debian.org, Santiago Garcia Mantinan <manty@debian.org>
Subject: Re: Bug#122179: Version in testing works (was: binutils: ld errors on Linux-2.4.16...)
Date: Wed, 5 Dec 2001 09:58:36 -0500 (EST)
Just tested a patch posted by Andrew Morton (see lkml email dated Tue, 04
Dec 2001 22:41:46 -0800, subject Re: Fwd: binutils in debian unstable is
broken.) which allows for successful linking with new binutils.

Thanks for your work, Chris.

---
Dan Chen                 crimsun@email.unc.edu
GPG key: www.cs.unc.edu/~chenda/pubkey.gpg.asc

On Wed, 5 Dec 2001, Christopher C. Chimelis wrote:

> Can you send me that .config?  Or, if you're familiar with objdump at all,
> you can probably figure out which symbol is causing the problem fairly
> easily.




Information forwarded to debian-bugs-dist@lists.debian.org, Herbert Xu <herbert@debian.org>:
Bug#122179; Package kernel-source-2.4.16. Full text and rfc822 format available.

Acknowledgement sent to "Christopher C. Chimelis" <chris@debian.org>:
Extra info received and forwarded to list. Copy sent to Herbert Xu <herbert@debian.org>. Full text and rfc822 format available.

Message #116 received at 122179@bugs.debian.org (full text, mbox):

From: "Christopher C. Chimelis" <chris@debian.org>
To: "Daniel T. Chen" <crimsun@email.unc.edu>
Cc: 122179@bugs.debian.org, Santiago Garcia Mantinan <manty@debian.org>
Subject: Re: Bug#122179: Version in testing works (was: binutils: ld errors on Linux-2.4.16...)
Date: Wed, 5 Dec 2001 10:51:21 -0500 (EST)
On Wed, 5 Dec 2001, Daniel T. Chen wrote:

> 
> Just tested a patch posted by Andrew Morton (see lkml email dated Tue, 04
> Dec 2001 22:41:46 -0800, subject Re: Fwd: binutils in debian unstable is
> broken.) which allows for successful linking with new binutils.
> 
> Thanks for your work, Chris.

No problem.  I got the same patch after I sent the other one out and have
checked it also :-)

I also just reassigned all related bug reports back to
kernel-source-(whatever), fyi.

C




Merged 122168 122179 122434 122693. Request was from Herbert Xu <herbert@gondor.apana.org.au> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 122168 122179 122434 122693 123435. Request was from Herbert Xu <herbert@gondor.apana.org.au> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Herbert Xu <herbert@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to "Daniel T. Chen" <crimsun@email.unc.edu>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #125 received at 122168-close@bugs.debian.org (full text, mbox):

From: Herbert Xu <herbert@debian.org>
To: 122168-close@bugs.debian.org
Subject: Bug#122168: fixed in kernel-source-2.4.17 2.4.17-1
Date: Sun, 23 Dec 2001 15:03:13 -0500
We believe that the bug you reported is fixed in the latest version of
kernel-source-2.4.17, which has been installed in the Debian FTP archive:

kernel-doc-2.4.17_2.4.17-1_all.deb
  to pool/main/k/kernel-source-2.4.17/kernel-doc-2.4.17_2.4.17-1_all.deb
kernel-source-2.4.17_2.4.17-1.diff.gz
  to pool/main/k/kernel-source-2.4.17/kernel-source-2.4.17_2.4.17-1.diff.gz
kernel-source-2.4.17_2.4.17-1.dsc
  to pool/main/k/kernel-source-2.4.17/kernel-source-2.4.17_2.4.17-1.dsc
kernel-source-2.4.17_2.4.17-1_all.deb
  to pool/main/k/kernel-source-2.4.17/kernel-source-2.4.17_2.4.17-1_all.deb
kernel-source-2.4.17_2.4.17.orig.tar.gz
  to pool/main/k/kernel-source-2.4.17/kernel-source-2.4.17_2.4.17.orig.tar.gz
mkcramfs_2.4.17-1_i386.deb
  to pool/main/k/kernel-source-2.4.17/mkcramfs_2.4.17-1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 122168@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Herbert Xu <herbert@debian.org> (supplier of updated kernel-source-2.4.17 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----

Format: 1.7
Date: Sat, 22 Dec 2001 13:41:46 +1100
Source: kernel-source-2.4.17
Binary: kernel-doc-2.4.17 kernel-source-2.4.17 mkcramfs
Architecture: source all i386
Version: 2.4.17-1
Distribution: unstable
Urgency: low
Maintainer: Herbert Xu <herbert@debian.org>
Changed-By: Herbert Xu <herbert@debian.org>
Description: 
 kernel-doc-2.4.17 - Linux kernel specific documentation for version 2.4.17.
 kernel-source-2.4.17 - Linux kernel source for version 2.4.17
 mkcramfs   - Make a CramFs (Compressed ROM File System)
Closes: 100624 122168 123471
Changes: 
 kernel-source-2.4.17 (2.4.17-1) unstable; urgency=low
 .
   * New upstream release (closes: #122168, #123471).
   * Only set startup to 0 for 21143 (rev 65) in tulip.
   * Don't clear BMCR_FULLDPLX bit in tulip_find_mii as it breaks some cards
     (closes: #100624).
   * Fixed atyfb compilation problem (Tobias Ringstrom).
   * Removed obsolete vfat patch.
   * Fixed double cache allocation in mount_devfs_fs.
Files: 
 9c1152fb6c268d3c242fd3d962cf3122 784 devel optional kernel-source-2.4.17_2.4.17-1.dsc
 d5de2a4dc49e32c37e557ef856d5d132 29445154 devel optional kernel-source-2.4.17_2.4.17.orig.tar.gz
 38aa2651d7892df7782a057af53f791b 16084 devel optional kernel-source-2.4.17_2.4.17-1.diff.gz
 c750601008e7a8ce0aa042267d0179f6 1709518 doc optional kernel-doc-2.4.17_2.4.17-1_all.deb
 43b3b8a6ba959e550aa3f0991d503638 23635362 devel optional kernel-source-2.4.17_2.4.17-1_all.deb
 1791b020d64b7c711b4091c203c7d6c8 14082 utils optional mkcramfs_2.4.17-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: 2.6.3ia
Charset: noconv

iQCVAwUBPCRqtIfMnsf5AzQhAQFCxgQAthZz3nuPbrpzh9NAKoVtHFJhMvOXo7Gr
0coxq+uf+s0gotSnOMyH1hXzQR7Y9Hydbz7GXh934apMpLmobH3yg6Bu8bPrI+l3
YzK71KtPdD6oSGfKlQ08VDgXyTemGY33Y50u5SIkO4+DqpId9SGpQ3NV6/uR78Xm
XTH5vUsn7N0=
=KotL
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 06:06:39 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.